/********************************** (C) COPYRIGHT ******************************
* File Name          : USBDEV.C
* Author             : WCH
* Version            : V1.0
* Date               : 2014/12/18
* Description        : ISP
*                      1ִ֧أںΪ0Ϊ4800ڲڲ񣬾ӴۼӺͣۼӺʹط
*                      2֧USBأUSBΪȫ豸
					   3֧EEPROM
					   4֧оƬͺж
					   5ʱҪP4.6ͣĬʹڲ
*******************************************************************************/

#include <CH559.H>
#include <string.h>
#include <intrins.h>


 sbit EnableIAP            = P1^3;         // external count input or clock output for timer2


#pragma NOAREGS


/*********************************************************************
 * @fn     mDelayus
 *
 * @brief  ʱ
 *
 * @param  nʱʱ
 *
 * @return none
 */
void mDelay20us( UINT16 n )
{
	for( n <<= 3;n;--n ){
		_nop_( );
	}
}

/*******************************************************************************
* Function Name  : main
* Description    : 
*                
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
typedef void( *pTaskFn)( void );
pTaskFn tasksArr[1];  

void main( void ) 
{
	UINT16 i=0;

	P4_DIR |= 1<<1;       		// 
	P4_OUT |= 1<<1;				// ÷
	tasksArr[0] = (pTaskFn)(0xC800+0x00);
	
	while(1){
		if( EnableIAP == 0 ){	  // K4
			P4_OUT |= (1<<1);
			mDelay20us(60000);
	 		(tasksArr[0])();
		}
	    i++;
		if( i == 200 ) i = 0;
		if( i == 0 )   P4_OUT |= (1<<1);
		if( i == 100 ) P4_OUT &= ~(1<<1);
		mDelay20us(1000);
	}
}

